bdi4jade.reasoning

## Class DefaultAgentOptionGenerationFunction

- java.lang.Object
- - bdi4jade.reasoning.AbstractAgentReasoningStrategy
  - - bdi4jade.reasoning.DefaultAgentOptionGenerationFunction

- All Implemented Interfaces:
    AgentOptionGenerationFunction, AgentReasoningStrategy

      public class DefaultAgentOptionGenerationFunction
      extends AbstractAgentReasoningStrategy
      implements AgentOptionGenerationFunction

  This class is the default implementation of the strategy `AgentOptionGenerationFunction`.
  Author:
    Ingrid Nunes

- - ### Field Summary

    - ### Fields inherited from class bdi4jade.reasoning.AbstractAgentReasoningStrategy

      `agent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAgentOptionGenerationFunction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateGoals(GoalUpdateSet agentGoalUpdateSet, java.util.Map<Capability,GoalUpdateSet> capabilityGoalUpdateSets)` This default implementation requests each of its capabilities to generate or drop goals.

    - ### Methods inherited from class bdi4jade.reasoning.AbstractAgentReasoningStrategy

      `setAgent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface bdi4jade.reasoning.AgentReasoningStrategy

      `setAgent`

- - ### Constructor Detail

    - #### DefaultAgentOptionGenerationFunction

          public DefaultAgentOptionGenerationFunction()

  - ### Method Detail

    - #### generateGoals

          public void generateGoals(GoalUpdateSet agentGoalUpdateSet,
                                    java.util.Map<Capability,GoalUpdateSet> capabilityGoalUpdateSets)

      This default implementation requests each of its capabilities to generate or drop goals.
      Specified by:
        `generateGoals` in interface `AgentOptionGenerationFunction`
      Parameters:
        `agentGoalUpdateSet` - the `GoalUpdateSet` that contains the set of agent current goals. It has also a set of dropped goals and generated goals, which are used as outputs of this method.
        `capabilityGoalUpdateSets` - the map from capabilities to their goal update set.
      See Also:
        `AgentOptionGenerationFunction.generateGoals(GoalUpdateSet, Map)`